﻿* Encoding: UTF-8.


*demographic variables

*recoding gender

DATASET ACTIVATE DataSet1.
RECODE gndr (1=0) (2=1) (MISSING=999) (ELSE=999) INTO gender_rec.
VARIABLE LABELS  gender_rec 'gender'.
VALUE LABELS
gender_rec
0 "Male"
1 "Female".
EXECUTE.

*recoding age

RECODE agea (MISSING=999) (18 thru 34=1) (35 thru 64=2) (65 thru Highest=3) (ELSE=999) INTO age_rec_3.    
VARIABLE LABELS  age_rec_3 'Age'.
Value labels
age_rec_3
1 "18-34"
2 "35-64"
3 "65+".
EXECUTE.

*recoding education

RECODE eisced (MISSING=999) (1 thru 2=1) (3 thru 5=2) (6 thru 7=3) (ELSE=999) INTO education_rec.
VARIABLE LABELS  education_rec 'Education '.
VALUE LABELS
education_rec
1 "Primary"
2 "Secondary"
3 "Tertiary".
EXECUTE.


*recoding vote

DATASET ACTIVATE DataSet1.
RECODE vote (1=1) (2=0) (MISSING=999) (ELSE=999) INTO vote_rec.
VARIABLE LABELS  vote_rec 'Vote'.
VALUE LABELS
vote_rec
0 "No"
1 "Yes".
EXECUTE.

*recoding employment status

DATASET ACTIVATE DataSet1.
RECODE mnactic (1=1) (MISSING=999) (2 thru 9=0) (ELSE=999) INTO main_activity_rec.
VARIABLE LABELS  main_activity_rec 'main activity'.
VALUE LABELS
main_activity_rec
0 "Not paid work"
1 "Paid work".
EXECUTE.

*recoding income conditions

DATASET ACTIVATE DataSet1.
RECODE hincfel (MISSING=999) (3 thru 4=0) (1 thru 2=1) (ELSE=999) INTO income_rec.
VARIABLE LABELS  income_rec 'Income'.
VALUE LABELS
income_rec
0 "Difficult/Very difficult"
1 "Living comfortably or coping".
EXECUTE.

*recoding Internet use

RECODE netusoft (1=0) (5=2) (MISSING=999) (2 thru 4=1) INTO internet_rec.
VARIABLE LABELS  internet_rec 'Internet Use'.
VALUE LABELS
internet_rec
0 "Never"
1 "Occasionally/Most days"
2 "Every day".
EXECUTE.


*attitudinal and behavioural variables

*Political participation additive index 


DATASET ACTIVATE DataSet1.
RECODE contplt (2=0) (1=1) (MISSING=999) INTO p1.
VARIABLE LABELS  p1 'p1'.
EXECUTE.

DATASET ACTIVATE DataSet1.
RECODE wrkprty (2=0) (1=1) (MISSING=999) INTO p2.
VARIABLE LABELS  p2 'p2'.
EXECUTE.

DATASET ACTIVATE DataSet1.
RECODE wrkorg (2=0) (1=1) (MISSING=999) INTO p3.
VARIABLE LABELS  p3 'p3'.
EXECUTE.

DATASET ACTIVATE DataSet1.
RECODE badge (2=0) (1=1) (MISSING=999) INTO p4.
VARIABLE LABELS  p4 'p4'.
EXECUTE.

DATASET ACTIVATE DataSet1.
RECODE sgnptit (2=0) (1=1) (MISSING=999) INTO p5.
VARIABLE LABELS  p5 'p5'.
EXECUTE.

DATASET ACTIVATE DataSet1.
RECODE pbldmn (2=0) (1=1) (MISSING=999) INTO p6.
VARIABLE LABELS  p6 'p6'.
EXECUTE.

DATASET ACTIVATE DataSet1.
RECODE bctprd (2=0) (1=1) (MISSING=999) INTO p7.
VARIABLE LABELS  p7 'p7'.
EXECUTE.

DATASET ACTIVATE DataSet1.
RECODE pstplonl (2=0) (1=1) (MISSING=999) INTO p8.
VARIABLE LABELS  p8 'p8'.
EXECUTE.

COMPUTE part=p1 + p2 + p3 + p4 + p5 + p6 + p7 + p8.
EXECUTE.

RECODE part (0=0) (1 thru 8=1) (ELSE=SYSMIS) INTO participation_dic.
VARIABLE LABELS  participation_dic 'participation'.
EXECUTE.

*recoding health

RECODE health (MISSING=SYSMIS) (1 thru 2=1) (3 thru 5=0) INTO health_rec2.
VARIABLE LABELS  health_rec2 'health'.
VALUE LABELS
health_rec2
0 "Fair/Bad"
1 "Good".
EXECUTE.

*recoding interpersonal trust

RECODE ppltrst (0 thru 5=0) (6 thru 10=1) INTO trust_dic.
VARIABLE LABELS  trust_dic 'Interpersonal Trust'.
VALUE LABELS
trust_dic
0 "Low trust"
1 "High trust".
EXECUTE.

*recoding  trust in parliament

RECODE trstprl (0 thru 5=0) (6 thru 10=1) INTO trust_parl.
VARIABLE LABELS  trust_parl 'Parliament Trust'.
VALUE LABELS
trust_parl
0 "Low trust"
1 "High trust".
EXECUTE.

*recoding  climate change

RECODE wrclmch (1 thru 2=0) (3 thru 5=1) (ELSE=SYSMIS) INTO climate_change_rec.
VARIABLE LABELS  climate_change_rec 'climate change'.
VALUE LABELS
climate_change_rec
0 "Not worried"
1 "Worried".
EXECUTE.

*recoding  freehms

RECODE freehms (1 thru 2=1) (3 thru 5=0) (ELSE=SYSMIS) INTO freehms_rec.
VARIABLE LABELS freehms_rec "Gays and lesbians free to live life as they wish".
VALUE LABELS
freehms_rec
0 "Not agree"
1 "Agree".
EXECUTE.

*recoding life satisfaction 

RECODE stflife (0 thru 5=0) (6 thru 10=1) INTO satisfaction.
VARIABLE LABELS  satisfaction 'How satisfied with life as a whole'.
VALUE LABELS
satisfaction
0 "low satisfaction"
1 "high satisfaction".
EXECUTE.

*recoding immigration

RECODE imwbcnt (0 thru 5=0) (6 thru 10=1) INTO immigr.
VARIABLE LABELS  immigr 'Immigrants make country worse or better place to live'.
VALUE LABELS
immigr
0 "worse place to live"
1 "better place to live".
EXECUTE.

*recoding social relationships

RECODE sclmeet (1 thru 4=0) (5 thru 7=1) (ELSE=SYSMIS) INTO relationships.
VARIABLE LABELS  relationships 'How often socially meet with friends, relatives or colleagues'.
VALUE LABELS 
relationships
0 "less than once a week"
1 "once a week or more".
EXECUTE.

*recoding domicile

RECODE domicil (3=1) (4 thru 5=0) (1 thru 2=2) INTO domicile_rec.
VARIABLE LABELS  domicile_rec 'domicile'.
VALUE LABELS
domicile_rec
0 "Country"
1 "Town/Small city"
2 "City".
EXECUTE.
